DevHeads.net

Could not execute switch_branch: Unknown remote branch origin/f28

Hi,

i tried to update a few of my packages for f28, but this fails with this message:

$ fedpkg clone nuvola-app-jango; cd nuvola-app-jango; git merge master
$ fedpkg switch-branch f28
Could not execute switch_branch: Unknown remote branch origin/f28

f29 package builds fine:
<a href="https://apps.fedoraproject.org/packages/nuvola-app-jango" title="https://apps.fedoraproject.org/packages/nuvola-app-jango">https://apps.fedoraproject.org/packages/nuvola-app-jango</a>

How can i solve this ?

Thanks
Martin

Comments

Re: Could not execute switch_branch: Unknown remote branch origi

By Rex Dieter at 05/29/2018 - 08:40

looks like the f28 branch disappeared?

Perhaps try (re)requesting a f28 branch (use 'fedpkg request-branch')

-- Rex

p.s. fedpkg request-branch help/docs need improvement it seems. Initial
output includes:
Could not execute request_branch: Missing a Pagure token. Refer to "fedpkg
request-repo -h" to set atoken in your user configuration.

except 'fedpkg request-repo -h' makes no mention of tokens as far as I can
tell.

Re: Could not execute switch_branch: Unknown remote branch origi

By Martin Gansser at 05/29/2018 - 09:56

Thanks all for your feedback.

the Pagure API that i am using in ~/.config/rpkg/fedpkg.conf is Valid until: 2018-07-27

but the request branch gives me this message:

$ fedpkg request-branch f28
Could not execute request_branch: The following error occurred while creating a new issue in Pagure: Invalid or expired token. Please visit <a href="https://pagure.io/settings#api-keys" title="https://pagure.io/settings#api-keys">https://pagure.io/settings#api-keys</a> to get or renew your API token.

$ fedpkg --module-name nuvola-app-jango request-branch f28
Could not execute request_branch: The following error occurred while creating a new issue in Pagure: Invalid or expired token. Please visit <a href="https://pagure.io/settings#api-keys" title="https://pagure.io/settings#api-keys">https://pagure.io/settings#api-keys</a> to get or renew your API token.

Martin

Re: Could not execute switch_branch: Unknown remote branch origi

By =?UTF-8?B?TWlyb... at 05/29/2018 - 12:21

On 29.5.2018 15:56, Martin Gansser wrote:
Try get a new token anyway?

Re: Could not execute switch_branch: Unknown remote branch origi

By Martin Gansser at 05/29/2018 - 12:38

i request a new token !
<a href="https://martinkg.fedorapeople.org/attachments/pagure-api-token.png" title="https://martinkg.fedorapeople.org/attachments/pagure-api-token.png">https://martinkg.fedorapeople.org/attachments/pagure-api-token.png</a>

Re: Could not execute switch_branch: Unknown remote branch origi

By =?UTF-8?B?TWlyb... at 05/29/2018 - 14:52

On 29.5.2018 18:38, Martin Gansser wrote:
did it help?

Re: Could not execute switch_branch: Unknown remote branch origi

By Dominik 'Rathan... at 05/30/2018 - 10:20

On Tuesday, 29 May 2018 at 23:21, Martin Gansser wrote:
What ACLs did you grant to the new token? You only need the ticket
creation ACL.

Regards,
Dominik

Re: Could not execute switch_branch: Unknown remote branch origi

By Martin Gansser at 05/30/2018 - 15:31

Hi Dominik,

do you mean this selection ?
<a href="https://martinkg.fedorapeople.org/attachments/pagure-acl-selection.png" title="https://martinkg.fedorapeople.org/attachments/pagure-acl-selection.png">https://martinkg.fedorapeople.org/attachments/pagure-acl-selection.png</a>

Martin

Re: Could not execute switch_branch: Unknown remote branch origi

By Dominik 'Rathan... at 06/01/2018 - 17:54

On Wednesday, 30 May 2018 at 21:31, Martin Gansser wrote:
Yes.

Regards,
Dominik

Re: Could not execute switch_branch: Unknown remote branch origi

By =?UTF-8?B?TWlyb... at 05/29/2018 - 08:30

On 29.5.2018 13:49, Martin Gansser wrote:
Indeed the branch is not there:
<a href="https://src.fedoraproject.org/rpms/nuvola-app-jango" title="https://src.fedoraproject.org/rpms/nuvola-app-jango">https://src.fedoraproject.org/rpms/nuvola-app-jango</a>

Request it via fedpkg request-branch, see it's --help.